#
# spec file for package python-pytest-subtesthack
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-subtesthack
Version:        0.1.1
Release:        bp156.3.1
License:        SUSE-Public-Domain
Summary:        A hack to explicitly set up and tear down fixtures
Url:            https://github.com/untitaker/pytest-subtesthack/
Group:          Development/Languages/Python
Source:         https://github.com/untitaker/pytest-subtesthack/archive/%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
BuildRequires:  %{python_module hypothesis}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-pytest
BuildArch:      noarch

%python_subpackages

%description
A hack to explicitly set up and tear down fixtures.

%prep
%setup -q -n pytest-subtesthack-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Sep 14 2019 John Vandenberg <jayvdb@gmail.com>
- Define LANG in %%check to fix openSUSE/SLE 15 builds
* Fri Mar 29 2019 pgajdos@suse.com
- initial version 0.1.1, required by python-vdirsyncer test suite
